automation-hub
latest
false
- Open API
- Introduction to Automation Hub API
- Introduction to Automation Hub API (Automation Cloud Public Sector)
- API References
- Generate your Token from Automation Hub
- Authentication to the Automation Hub API
- Authentication to the Automation Hub API (Automation Cloud Public Sector)
- Add users in bulk to Automation Hub using OpenAPI
- Bulk edit users in Automation Hub using OpenAPI
- Retrieve Automation Idea in Idea Phase Awaiting Review Status
- Retrieve the Cost Benefit Analysis for a Specific Idea
- Update Automation Idea Phase and Status
- Retrieve a User Account
- Update Account Details for Employees from Automation Hub
- Inactivate User Accounts that are Not Part of the Company
- Power BI Integration Video Tutorial
- Service Now Outbound Integration Video Tutorial
- Input for Automation Pipeline
- Input for Submission Type
- Input for Phase
- Input for Status
- Input for Phase and Status Update
- Input for Business Unit
- Input for Applications
- Input for Category
- Input for Cost Benefit Analysis
- Input for High Level Assessment
- Input for Detailed Assessment
- Input for Automation Idea Creation Date
- Input for Users
- Input for User Status
- User Status Table
- Input for Collaborators
- Output Dictionary
- Automation Hub Open API Power Query Data Parsing
- Automation Hub Custom Connector
Automation Hub api guide
Last updated May 6, 2026
As companies are dynamic the details related to people’s departments, business units, other details change very fast. Keep these up to date in Automation Hub by using the /edituser API call.
The below example presents how to update the Business Unit and Department. To do this we'll need to identify the below 2 fields in the body of the request and add the new values corresponding to the user's current Business Unit and Department:
- user_business_unit=newbuvalue
- user_department=newdptvalue
Note:
The API base URL format varies by deployment environment. For the correct base URL for your environment, see Introduction to the Automation Hub API.
POST https://<accessURL>/{orgName}/{tenantName}/automationhub_/api/v1/openapi/edituser
Request
Content-Type: application/json
Authorization: Bearer [Tenant ID/Token]
x-ah-openapi-app-key: [API key if added]
x-ah-openapi-auth: openapi-token
data-raw '{
"user_email": "jane.doe@email.com",
"user_first_name": "Jane",
"user_last_name": "Doe",
"user_location": "Brooklyn",
"user_department": "newdptvalue",
"user_business_unit": "newbuvalue",
"user_job_title": "Developer",
"user_is_active": 0,
"user_invite_status": 1,
"user_roles": [
{
"role_id": 6,
"category_id": 0
},
{
"role_id": 4,
"category_id": 0
},
{
"role_id": 5,
"category_id": 3
}
]
}
Content-Type: application/json
Authorization: Bearer [Tenant ID/Token]
x-ah-openapi-app-key: [API key if added]
x-ah-openapi-auth: openapi-token
data-raw '{
"user_email": "jane.doe@email.com",
"user_first_name": "Jane",
"user_last_name": "Doe",
"user_location": "Brooklyn",
"user_department": "newdptvalue",
"user_business_unit": "newbuvalue",
"user_job_title": "Developer",
"user_is_active": 0,
"user_invite_status": 1,
"user_roles": [
{
"role_id": 6,
"category_id": 0
},
{
"role_id": 4,
"category_id": 0
},
{
"role_id": 5,
"category_id": 3
}
]
}
Response
{
"message": "Resource Updated",
"statusCode": 201,
"data": {
"message": "Sync Successful."
}
}
{
"message": "Resource Updated",
"statusCode": 201,
"data": {
"message": "Sync Successful."
}
}